Bug 2255 - DEBUG level in libads/kerberos_verify.c:ads_keytab_verify_ticket(113)
DEBUG level in libads/kerberos_verify.c:ads_keytab_verify_ticket(113)
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.10
x86 Linux
: P3 trivial
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 07:17 UTC by Daniel Pavel
Modified: 2005-08-24 10:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Pavel 2005-01-19 07:17:11 UTC
I have a samba 3.0.10 server joined to an AD domain.

I get _lots_ of messages in syslog generated by this piece of code in
libads/kerberos_verify.c:ads_keytab_verify_ticket()

112:	if (ret) {
113:		DEBUG(0, ("krb5_rd_req(%s) failed: %s\n", host_princ_s[i],
error_message(ret)));
114:	} else {
115:		DEBUG(10,("krb5_rd_req succeeded for principal %s\n", host_princ_s[i]));
116:		auth_ok = True;
117:		break;
118:	}

The success generates a DEBUG level 10 message, while failures (about 10 or so
per attempt to verify the ticket) generate a DEBUG level 0 messages, which make
my syslog to grow to rather annoying levels.  Is it supposed to be a level 10 as
well?

The patch introducing it is at
http://websvn.samba.org/cgi-bin/viewcvs.cgi?rev=3381&view=rev .

Cheers,
-Daniel
Comment 1 Jeremy Allison 2005-01-20 18:48:25 UTC
Fixed, thanks.
Jeremy.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:19:40 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.